org.apache.cayenne.access.types

## Class UtilDateType

- java.lang.Object
- - org.apache.cayenne.access.types.UtilDateType

- All Implemented Interfaces:
    ExtendedType
  Direct Known Subclasses:
    OracleUtilDateType

      public class UtilDateType
      extends Object
      implements ExtendedType

  Maps `java.util.Date` to any of the three database date/time types: TIME, DATE, TIMESTAMP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UtilDateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `convertToJdbcObject(Object val, int type)`
    `String` | `getClassName()` Returns "java.util.Date".
    `Date` | `materializeObject(CallableStatement cs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Date` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject(PreparedStatement statement, Object value, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UtilDateType

          public UtilDateType()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Returns "java.util.Date".
      Specified by:
        `getClassName` in interface `ExtendedType`

    - #### convertToJdbcObject

          protected Object convertToJdbcObject(Object val,
                                               int type)
                                        throws Exception

      Throws:
        `Exception`

    - #### materializeObject

          public Date materializeObject(ResultSet rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Date materializeObject(CallableStatement cs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType`
      Throws:
        `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

    - #### setJdbcObject

          public void setJdbcObject(PreparedStatement statement,
                                    Object value,
                                    int pos,
                                    int type,
                                    int scale)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType`
      Throws:
        `Exception`

Copyright © 2001–2017 Apache Cayenne. All rights reserved.